<?xml version="1.0" encoding="UTF-8"?>

<!-- SPLOT Configuration file DTD - includes OpenTracker dtd and adds new elements -->
<!-- $Header: /projects/cvs/igttools/SPLOT/data/splot.dtd,v 1.15 2006/08/31 17:58:07 samset Exp $ -->

<!ENTITY % SPL_ConfigElements "NDIConfig?,MedScanConfig?,EndoScoutConfig?, RDSConfig?, FlashpointConfig?,ECGConfig?,SpeechControlConfig?,GENavConfig?">
<!ENTITY % SPL_SourceEventNodes "MedScanSource | AuroraSource | PolarisSource | FlashpointSource | EndoScoutSource | RDSSource | PlayerSource | ECGSource | SpeechControlSource | SerButtonSource | GENavSource">
<!ENTITY % SPL_WrapperNodes "TrackerBase">
<!ENTITY % SPL_EventNodes "(%SPL_SourceEventNodes;) | MedScanSink | SpeechTransform | RDSRecon | RDSSink | RDSSource">

<!ENTITY % opentracker SYSTEM "./opentracker_SPL.dtd" >
%opentracker;

<!ELEMENT SpeechTransform (%EventNodes;)>
<!ATTLIST SpeechTransform
	  DEF ID #IMPLIED
	  voice (Mary | Sam | Mike) "Mary"
	  >


<!ELEMENT RDSRecon (%EventNodes;)>
<!ATTLIST RDSRecon
	  DEF ID #IMPLIED
	  channels CDATA #REQUIRED
	  lineorder CDATA #REQUIRED
	  >

<!ELEMENT RDSSink (%EventNodes;)>
<!ATTLIST RDSSink
	  DEF ID #IMPLIED
number CDATA #REQUIRED
	  >


<!ELEMENT SerButtonSource EMPTY>
<!ATTLIST SerButtonSource
	  serial_port CDATA ""
	  DEF ID #IMPLIED
	  >


<!ELEMENT PlayerSource EMPTY>
<!ATTLIST PlayerSource
	  DEF ID #IMPLIED
	  file CDATA #REQUIRED
	  >


<!ELEMENT SpeechControlConfig EMPTY>
<!ATTLIST SpeechControlConfig
	  voice (Mary | Sam | Mike) "Mary"
	  >
<!ELEMENT SpeechControlSource EMPTY>
<!ATTLIST SpeechControlSource
	  >


<!ELEMENT NDIConfig EMPTY>
<!ATTLIST NDIConfig
	  device CDATA #REQUIRED
	  >

<!ELEMENT GENavConfig EMPTY>
<!ATTLIST GENavConfig
	  >

<!ELEMENT AuroraSource EMPTY>
<!ATTLIST AuroraSource
	  toolID CDATA "0001"
	  DEF ID #IMPLIED
	  >
<!ELEMENT PolarisSource EMPTY>
<!ATTLIST PolarisSource
	  toolID CDATA "0001"
	  type (wired | wireless) "wired"
	  sROMFile CDATA ""
	  DEF ID #IMPLIED
	  >


<!ELEMENT FlashpointConfig EMPTY>
<!ATTLIST FlashpointConfig
	  maxbodies CDATA "2"
	  serial_port CDATA "/dev/ttyS0"
	  >
<!ELEMENT FlashpointSource EMPTY>
<!ATTLIST FlashpointSource
	  DEF ID #IMPLIED
	  number CDATA #REQUIRED
	  tool CDATA #REQUIRED
	  >


<!ELEMENT ECGConfig EMPTY>
<!ATTLIST ECGConfig
	  samplerate CDATA "1000.0"
	  >
<!ELEMENT ECGSource EMPTY>
<!ATTLIST ECGSource
	  DEF ID #IMPLIED
	  channel CDATA #REQUIRED
	  >


<!ELEMENT GENavSource EMPTY>
<!ATTLIST GENavSource
	  DEF ID #IMPLIED
	  number CDATA #REQUIRED
	  >


<!ELEMENT MedScanConfig EMPTY>
<!ATTLIST MedScanConfig
	  maxbodies CDATA "2"
	  sdelay CDATA "1"
	  udelay CDATA "0"
	  mode CDATA "int"
	  >


<!ELEMENT MedScanSource EMPTY>
<!ATTLIST MedScanSource
	  number CDATA #REQUIRED
	  host CDATA #REQUIRED
	  port CDATA #REQUIRED
	  service CDATA #REQUIRED
	  >
<!ELEMENT MedScanSink (%EventNodes;)>
<!ATTLIST MedScanSink
	  number CDATA #REQUIRED
	  host CDATA #REQUIRED
	  port CDATA #REQUIRED
	  service CDATA #REQUIRED
	  >
<!ELEMENT EndoScoutConfig EMPTY>
<!ATTLIST EndoScoutConfig
	  host CDATA #REQUIRED
	  port CDATA "20248"
	  >
<!ELEMENT EndoScoutSource EMPTY>
<!ATTLIST EndoScoutSource
	  number CDATA #REQUIRED
	  >
<!ELEMENT RDSConfig EMPTY>
<!ATTLIST RDSConfig
	  host CDATA #REQUIRED
	  port CDATA "20248"
	  channels CDATA #REQUIRED
	  validate CDATA "true"
	  >

<!ELEMENT TrackerBase (%EventNodes;)>
<!ELEMENT RDSSource (TrackerBase*)>
<!ATTLIST RDSSource
	DEF ID #IMPLIED
	number CDATA #REQUIRED
>
